#ifndef Button_h
#define Button_h

class Button
{
    public:
        Button(uint8_t port, bool ENABLE_PULLUP);
        void init();
        void updateState();
        bool getState();

        uint8_t doubleClick();
        uint8_t holdTime();

        

    private:
        volatile bool _state;
        bool _lastState;
        bool _first;
        uint8_t _port;
        uint16_t _holdtime;

        uint32_t timePressed = 0,
              casRozepnuti = 0,
              konecStisku = 0,
              casStisku = 0;

};

#endif