#include <Arduino.h>
#include <RGBLED.h>




RGBLED::RGBLED(uint8_t pinRed, uint8_t pinGreen, uint8_t pinBlue) {
	pinMode(pinRed, OUTPUT);
	pinMode(pinGreen, OUTPUT);
	pinMode(pinBlue, OUTPUT);

	_pinRed = pinRed;
	_pinGreen = pinGreen;
	_pinBlue = pinBlue;
}


void RGBLED::setColor(uint8_t color[]) {
	analogWrite(_pinRed, map(color[0], 0, 255, 255, 0));
	analogWrite(_pinGreen, map(color[1], 0, 255, 255, 0));
	analogWrite(_pinBlue, map(color[2], 0, 255, 255, 0));
}

void RGBLED::setColor(uint8_t color1, uint8_t color2, uint8_t color3) {
	analogWrite(_pinRed, map(color1, 0, 255, 255, 0));
	analogWrite(_pinGreen, map(color2, 0, 255, 255, 0));
	analogWrite(_pinBlue, map(color3, 0, 255, 255, 0));
}

