#include "Arduino.h"
#include "TriLED.h"

TriLED::TriLED(uint8_t pinRed, uint8_t pinOrange, uint8_t pinYellow) {
	pinMode(pinRed, OUTPUT);
	pinMode(pinOrange, OUTPUT);
	pinMode(pinYellow, OUTPUT);

	_pinRed = pinRed;
	_pinOrange = pinOrange;
	_pinYellow = pinYellow;
}


void TriLED::redOn(bool on) {
	digitalWrite(_pinRed, on);
}


void TriLED::orangeOn(bool on) {
	digitalWrite(_pinOrange, on);
}

void TriLED::yellowOn(bool on) {
	digitalWrite(_pinYellow, on);
}

	
void TriLED::ledOn(bool redOn, bool orangeOn, bool yellowOn) {
	digitalWrite(_pinRed, redOn);
	digitalWrite(_pinOrange, orangeOn);
	digitalWrite(_pinYellow, yellowOn);
}